NAME
	free_string - free a pike string

SYNTAX
	#include "stralloc.h"

	void free_string(struct pike_string *p)

DESCRIPTION
	This function frees the string 'p'. What it actually does is that it
	decreases the reference count of 'p' and frees the memory reserved
	for it if the refereneces reach zero.

NOTA BENE
	free_string is actually a macro

KEYWORDS
	pike_string
